import request from '@/utils/request'

// 查询报名点列表
export function listOffice(query) {
  return request({
    url: '/zs/office/list',
    method: 'get',
    params: query
  })
}

// 查询报名点详细
export function getOffice(officeId) {
  return request({
    url: '/zs/office/' + officeId,
    method: 'get'
  })
}

// 新增报名点
export function addOffice(data) {
  return request({
    url: '/zs/office',
    method: 'post',
    data: data
  })
}

// 修改报名点
export function updateOffice(data) {
  return request({
    url: '/zs/office',
    method: 'put',
    data: data
  })
}

// 删除报名点
export function delOffice(officeId) {
  return request({
    url: '/zs/office/' + officeId,
    method: 'delete'
  })
}
